> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get a snapshot of a content type GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types/{content_type_id}/snapshots/{snapshot_id} Reference: https://contentful.com/developers/docs/references/content-management-api/snapshots/get-a-snapshot-of-a-content-type ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — environment_id identifier - `content_type_id` (string, required) — ID of the entry in form of a string - `snapshot_id` (string, required) — ID of the snapshot in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "snapshot": { "fields": [ { "id": "title", "localized": true, "name": "Title", "required": true, "type": "Text" }, { "id": "body", "localized": true, "name": "Body", "required": true, "type": "Text" } ], "name": "Blog Post", "sys": { "firstPublishedAt": "2026-01-14T00:12:45.000Z", "publishedAt": "2026-01-14T00:12:45.000Z", "publishedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "publishedCounter": 2, "publishedVersion": 9 } }, "sys": { "createdAt": "2025-08-19T11:02:05.000Z", "createdBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "id": "cat", "snapshotEntityType": "ContentType", "snapshotType": "publish", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Snapshot" } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .contentTypes() .async() .fetchOne( "", "master", // only works on master right now ... "", new CMACallback() { @Override protected void onSuccess(CMAContentType contentType) { client .contentTypes() .async() .fetchOneSnapshot( contentType, "", new CMACallback() { @Override protected void onSuccess(CMASnapshot snapshot) { new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Snapshot found!" + "\n\nResult: " + snapshot) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not find the content type snapshot." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not get one content type." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAContentType contentType = client .contentTypes() .fetchOne( "", "master", // environment must be master. ""); final CMASnapshot snapshot = client .contentTypes() .fetchOneSnapshot(contentType, ""); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val contentType = client .contentTypes() .fetchOne( "", "master", // environment must be master. "") val snapshot = client .contentTypes() .fetchOneSnapshot(contentType, "") ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getContentType('')) .then((contentType) => contentType.getSnapshot('')) .then((snapshot) => console.log(snapshot)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const snapshot = await client.snapshot.getForContentType({ spaceId: '', environmentId: '', contentTypeId: '', snapshotId: '', }) ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $contentTypeSnapshot = $environment->getContentTypeSnapshot('', ''); // Alternatively, from a content type $contentType = $environment->getContentType(''); $contentTypeSnapshot = $contentType->getSnapshot(''); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') content_type_snapshot = client.content_type_snapshots('', '', '').find('') # Alternatively, from a content type content_type_snapshot = content_type.snapshots.find('') ``` ```python Python from contentful_management import Client client = Client('') content_type_snapshot = client.content_type_snapshots('', '', '').find('') # Alternatively, from a content type content_type_snapshot = content_type.snapshots().find('') ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var singleContentTypeSnapshot = await client.GetSnapshotForContentType("", ""); ```